org.jbpm.workflow.core.node

## Class DynamicNode

- java.lang.Object
- - org.jbpm.workflow.core.impl.NodeImpl
  - - org.jbpm.workflow.core.impl.ExtendedNodeImpl
    - - org.jbpm.workflow.core.node.StateBasedNode
      - - org.jbpm.workflow.core.node.CompositeNode
        - - org.jbpm.workflow.core.node.CompositeContextNode
          - - org.jbpm.workflow.core.node.DynamicNode

- All Implemented Interfaces:
    Serializable, Contextable, ContextContainer, ContextResolver, EventNodeInterface, org.kie.api.definition.process.Node, org.kie.api.definition.process.NodeContainer

      public class DynamicNode
      extends CompositeContextNode

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.core.node.CompositeNode

      `CompositeNode.CompositeNodeEnd, CompositeNode.CompositeNodeStart, CompositeNode.NodeAndType`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `EVENT_NODE_ENTER, EVENT_NODE_EXIT`

    - ### Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `constraints, EMPTY_NODE_ARRAY`

    - ### Fields inherited from interface org.jbpm.workflow.core.Node

      `CONNECTION_DEFAULT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicNode()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `acceptsEvent(String type, Object event)`
    `String` | `getCompletionExpression()`
    `org.kie.api.definition.process.Node` | `internalGetNode(long id)`
    `boolean` | `isAutoComplete()`
    `void` | `setAutoComplete(boolean autoComplete)`
    `void` | `setCompletionExpression(String expression)`

    - ### Methods inherited from class org.jbpm.workflow.core.node.CompositeContextNode

      `addContext, getContext, getContexts, getDefaultContext, resolveContext, setDefaultContext`

    - ### Methods inherited from class org.jbpm.workflow.core.node.CompositeNode

      `addIncomingConnection, addNode, addOutgoingConnection, getLinkedIncomingNode, getLinkedIncomingNodes, getLinkedOutgoingNode, getLinkedOutgoingNodes, getNode, getNodes, internalAddNode, internalGetLinkedIncomingNode, internalGetLinkedOutgoingNode, internalGetNodes, internalRemoveNode, isCancelRemainingInstances, linkIncomingConnections, linkIncomingConnections, linkOutgoingConnections, linkOutgoingConnections, removeIncomingConnection, removeNode, removeOutgoingConnection, setCancelRemainingInstances, validateAddIncomingConnection, validateAddOutgoingConnection, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

    - ### Methods inherited from class org.jbpm.workflow.core.node.StateBasedNode

      `addBoundaryEvents, addTimer, getBoundaryEvents, getTimers, removeAllTimers, setBoundaryEvents`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `containsActions, getActions, getActionTypes, setActions`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `addConstraint, clearIncomingConnection, clearOutgoingConnection, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicNode

          public DynamicNode()

  - ### Method Detail

    - #### isAutoComplete

          public boolean isAutoComplete()

    - #### setAutoComplete

          public void setAutoComplete(boolean autoComplete)

    - #### acceptsEvent

          public boolean acceptsEvent(String type,
                             Object event)

      Specified by:
        `acceptsEvent` in interface `EventNodeInterface`
      Overrides:
        `acceptsEvent` in class `CompositeNode`

    - #### internalGetNode

          public org.kie.api.definition.process.Node internalGetNode(long id)

      Overrides:
        `internalGetNode` in class `CompositeNode`

    - #### getCompletionExpression

          public String getCompletionExpression()

    - #### setCompletionExpression

          public void setCompletionExpression(String expression)

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.